﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BaileyElectionApp
{
    class Election
    {
        private int[] votes = new int[5];
        private String[] candidatesNames = new String[5];

        public Election()
        {
        }

        public String GetCandidateName(int index)
        {
            return candidatesNames[index];
        }

        public void SetCandidateName(string values, int index)
        {
            candidatesNames[index] = values;
        }

        public int GetCandidateVotes(int index)
        {
            return votes[index];
        }

        public void SetCandidateVotes(int vote, int index)
        {
            votes[index] = vote;
        }

        public int TotalVotes()
        {
            int total = 0;
            int[] totalvotes = votes;

            for (int i = 0; i < totalvotes.Length; i++)
            {
                total += totalvotes[i];
            }

            return total;
        }

        public int FindWinner()
        {
            int amountToWin = 0;
            int winner = 0;

            for (int i = 0; i < 5; i++)
            {
                if (votes[i] > amountToWin)
                {
                    amountToWin = votes[i];
                    winner = i;
                }
            }

            return winner;
        }
    }
}
